Subject: Re: [GIT PULL] Networking for 6.0

From: Kalle Valo <[email-masked]>
Date: Fri, 05 Aug 2022 17:22:02 +0300

Kalle Valo <[email-masked]> writes:

> Linus Torvalds <[email-masked]> writes:
>
>> Hmm. Another issue with the networking pull..
>>
>> On Wed, Aug 3, 2022 at 3:15 AM Paolo Abeni <[email-masked]> wrote:
>>>
>>>   git://git.kernel.org/pub/scm/linux/kernel/git/netdev/net-next.git tags/net-next-6.0
>>>
>>> Veerendranath Jakkam (5):
>>>       cfg80211: Indicate MLO connection info in connect and roam callbacks
>>
>> This one added a
>>
>>                 for_each_valid_link(cr, link) {
>>                         if (WARN_ON_ONCE(!cr->links[link].bss))
>>                                 break;
>>                 }
>>
>> in net/wireless/sme.c, and it seems to trigger on my brand new M2 Macbook Air.
>>
>> Wireless still works fine (I'm writing this report on the machine),
>> but you get a scary splat:
>>
>>   WARNING: CPU: 5 PID: 514 at net/wireless/sme.c:786
>> __cfg80211_connect_result+0x2fc/0x5c0 [cfg80211]
>>
>> full call trace etc in the attachment.
>
> Thanks for the report, adding also Arend and changing Johannes' email.
> Unfortunately Johannes is away this week. Arend, would you be able to
> look at this? I don't have any brcmfmac hardware.

Veerendranath took a look at this and here's a quick fix:

https://patchwork.kernel.org/project/linux-wireless/patch/[email-masked]/

Do note that this isn't tested with brcmfmac but it should work :)

Linus, do you want to take that directly or should I take it to wireless
tree? I assume with the latter you would then get it by the end of next
week.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches